package com.nisum.mytime.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.MasterData;
import com.nisum.mytime.repository.MasterDataRepo;
import com.nisum.mytime.service.IMasterDataService;

@Service("masterDataService")
public class MasterDataService implements IMasterDataService {

	@Autowired
    private MasterDataRepo masterDataRepo;

	@Override
	public List<MasterData> getMasterData() throws MyTimeException {
		return masterDataRepo.findAll();
	}
}
