package com.nisum.mytime.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Location;
import com.nisum.mytime.repository.LocationRepo;
import com.nisum.mytime.service.IOrgLocationService;
@Service
public class OrgLocationService implements IOrgLocationService {

	@Autowired
	private LocationRepo locationRepo;

	@Override
	public List<Location> getLocations() throws MyTimeException {
		return locationRepo.findAll();
	}

}
