package com.nisum.mytime.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Designation;
import com.nisum.mytime.repository.DesignationRepo;
import com.nisum.mytime.service.IDesignationService;
@Service
public class DesignationService implements IDesignationService {

	@Autowired
	private DesignationRepo designationRepo;

	@Override
	public List<Designation> getAllDesignations() throws MyTimeException {
		return designationRepo.findAll();
	}
}
